package com.template.model.seewo;

import java.util.*;
import com.seewo.open.sdk.OpenApiParam;
import com.seewo.open.sdk.OpenApiRequest;

/**
 * seewo-open API: 根据学号删除班级学生
 *
 *
 * @author auto create
 * @since 2.0.1 2023-12-19
 */
public class StudentServiceRemoveClassStudentsRequest extends OpenApiRequest<StudentServiceRemoveClassStudentsParam, StudentServiceRemoveClassStudentsResult> {

    public StudentServiceRemoveClassStudentsRequest(StudentServiceRemoveClassStudentsParam param) {
        this();
        setBizModel(param);
    }

    public StudentServiceRemoveClassStudentsRequest() {
        setServerUrl("https://openapi.seewo.com");
        setPath("/seewo-yunban-api/student-service/remove-class-students");
        setHttpMethod("POST");
    }

    public Class<StudentServiceRemoveClassStudentsResult> getResponseClass() {
        return StudentServiceRemoveClassStudentsResult.class;
    }

    public Class<StudentServiceRemoveClassStudentsParam> getDomainClass() {
        return StudentServiceRemoveClassStudentsParam.class;
    }
}

